Hi Learner!
<!-- <app-a></app-a> 
<app-b></app-b> -->
<!--<h4>Template Driven</h4>
<form #signupForm="ngForm" (ngSubmit)="registerUser(signupForm)">  
    <div ngModelGroup="contact">
        <label for="email">Email</label>
        <input type="text" name="email" id="email" ngModel>
      
        <label for="password">Password</label>
        <input type="password" name="password" id="password" ngModel>
    </div>
    
    <div ngModelGroup="address">
        <label>
          city <input type="text" name="cityIndia" ngModel>
        </label>
      </div>
      <button type="submit">Sign Up</button>

</form>-->


<!-- <a routerLink="">Home Component</a>
<a routerLink="RedComponent" [state]="property1">Red Component</a>
<button (click)="goToGreen()">Green Component</button>
<a routerLink="blue/{{title}}">Blue Component</a>
<a routerLink="admin">Admin Component</a> 
<a routerLink="dashboard">Dashboard</a>
<router-outlet></router-outlet> -->
<!-- <h2>What is ng-content</h2>
<app-home  (click)="btnClicked($event,2)"></app-home>
<app-home (click)="btnClicked($event,0)">Click Me</app-home>
<app-home (click)="btnClicked($event,1)"><b>Submit</b></app-home> -->
<!-- Parent : <br>{{ Counter }} -->
<!-- <input type="text" [(ngModel)]="Counter" /><br>
------------------------------------------------Parent ends<br> -->
<!-- <app-child1  [Counter]="Counter">  </app-child1> -->

<app-http-call [Counter]="Counter"></app-http-call>
<!-- App Service inside Service <br> -->
<!-- <app-service-in-service></app-service-in-service><br> -->
<!-- <app-common-service></app-common-service> -->
<!-- App dependency<br> -->
<!-- <app-dependency></app-dependency> -->
<!-- <app-home></app-home> -->
<!-- Age : {{age}}<div id="c"></div> -->
<!-- <app-header></app-header> -->
<!-- <app-header></app-header> -->
<!-- <app-b></app-b>
<app-a></app-a> -->

<!-- <span [innerText]="age"></span>

<input type="text" [(ngModel)]="age" value="age" />
flag : {{flag}}
<button (click)="flag=!flag">Flag</button> -->
<!-- <input #someInput placeholder="Your favorite sea creature"> -->